Loading...
Searching...
No Matches
BALL::VIEW::ChannelFormat Struct Reference

`#include <BALL/VIEW/RENDERING/pixelFormat.h>`

## Public Types

enum | ChannelID { NO_CHANNEL = 0 , EMPTY_CHANNEL , RED_CHANNEL , GREEN_CHANNEL , BLUE_CHANNEL , LUMINANCE_CHANNEL , ALPHA_CHANNEL , DEPTH_CHANNEL , Y_CHANNEL , U_CHANNEL , V_CHANNEL }
enum | ChannelType { SIGNED_INT_CHANNEL , UNSIGNED_INT_CHANNEL , FLOAT_CHANNEL }

## Public Member Functions

| ChannelFormat ()
| ChannelFormat (ChannelID id, ChannelType type, unsigned int bitSize)
bool | operator== (const ChannelFormat &f) const
bool | operator!= (const ChannelFormat &f) const

## Public Attributes

ChannelID | id: 8
ChannelType | type: 8
unsigned int | bitSize: 8

## Detailed Description

Definition at line 18 of file pixelFormat.h.

## Member Enumeration Documentation

## ChannelID

enum BALL::VIEW::ChannelFormat::ChannelID

Enumerator
NO_CHANNEL |
EMPTY_CHANNEL |
RED_CHANNEL |
GREEN_CHANNEL |
BLUE_CHANNEL |
LUMINANCE_CHANNEL |
ALPHA_CHANNEL |
DEPTH_CHANNEL |
Y_CHANNEL |
U_CHANNEL |
V_CHANNEL |

Definition at line 20 of file pixelFormat.h.

## ChannelType

enum BALL::VIEW::ChannelFormat::ChannelType

Enumerator
SIGNED_INT_CHANNEL |
UNSIGNED_INT_CHANNEL |
FLOAT_CHANNEL |

Definition at line 34 of file pixelFormat.h.

## Constructor & Destructor Documentation

## ChannelFormat() [1/2]

BALL::VIEW::ChannelFormat::ChannelFormat | ( |  | ) |

inline

Definition at line 44 of file pixelFormat.h.

## ChannelFormat() [2/2]

BALL::VIEW::ChannelFormat::ChannelFormat | ( | ChannelID | id,
|  | ChannelType | type,
|  | unsigned int | bitSize )

inline

Definition at line 46 of file pixelFormat.h.

## Member Function Documentation

## operator!=()

bool BALL::VIEW::ChannelFormat::operator!= | ( | const ChannelFormat & | f | ) | const

inline

Definition at line 54 of file pixelFormat.h.

## operator==()

bool BALL::VIEW::ChannelFormat::operator== | ( | const ChannelFormat & | f | ) | const

inline

Definition at line 50 of file pixelFormat.h.

## Member Data Documentation

## bitSize

unsigned int BALL::VIEW::ChannelFormat::bitSize

Definition at line 42 of file pixelFormat.h.

## id

ChannelID BALL::VIEW::ChannelFormat::id

Definition at line 40 of file pixelFormat.h.

## type

ChannelType BALL::VIEW::ChannelFormat::type

Definition at line 41 of file pixelFormat.h.